%define tarball xf86-video-i810
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers


Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 i8xx/i9xx video driver(s)
Name:      	xorg-x11-drv-i810
Version:   	1.7.4
Release:   	3
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source2:   	i810.xinf


ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires: 	pkg-config
BuildRequires: 	autoconf automake libtool
BuildRequires: 	xorg-x11-server-sdk
BuildRequires: 	libXvMC-devel
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
BuildRequires:	libxcb-devel
BuildRequires:	libpthread-stubs
BuildRequires:	xorg-x11-proto-devel

Requires:  	xorg-x11-server-Xorg
Conflicts:      xorg-x11-drv-intel
Obsoletes:	Xdriver-i810
%description 
X.Org X11 i8xx/i9xx video driver.

%package devel
Summary:   Xorg X11 i8xx/i9xx video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 i8xx/i9xx video driver XvMC development package.

%prep
%setup -q -n %{tarball}-%{version}

%build
DRI_OPT='--enable-dri'
OPTS="--disable-debug --disable-static --libdir=%{_libdir} --mandir=%{_mandir} ${DRI_OPT}"
./configure ${OPTS} && make && cd .. || exit 1

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT || exit 1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --
# Nuke until actually hooked up in the code
rm -f $RPM_BUILD_ROOT/%{driverdir}/ch7017.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/i810_drv.so
%{_datadir}/hwdata/videoaliases/i810.xinf
%dir %{_libdir}
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
#%dir %{_mandir}/man4x
%{_mandir}/man4/i*

%files devel
%defattr(-,root,root,-)
%dir %{_libdir}
%{_libdir}/libI810XvMC.so

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7.4-3
- rebuilt against X.org 7.3
* Sat Jun 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7.4-2
- separated i810 and intel driver package
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7.4-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.6.5-1
- Initial release
